svg {
  background: white;
}
.node {
  stroke-width: 1px;
  shape-rendering: crispEdges;
  vector-effect: non-scaling-stroke;
  stroke: #BBB;
  fill: white;
}
.handle {
  stroke-width: 1px;
  shape-rendering: crispEdges;
  vector-effect: non-scaling-stroke;
  fill: white;
  stroke: #333;
}
.label {
  text-anchor: middle;
  font-family: sans-serif;
  /*text-shadow: -1px 0 white, 0 1px white, 1px 0 white, 0 -1px white;*/
  text-shadow: -2px 0 white, 0 2px white, 2px 0 white, 0 -2px white, -1px -1px white, 1px -1px white, 1px 1px white, -1px 1px white;
}
.link {
  fill: none;
  stroke: gray;
  stroke-dasharray: 3 3;
  vector-effect: non-scaling-stroke;
}

.node:hover {
  fill: #EEE;
  cursor: pointer;
}
.node.exploded {
  fill: #EEE;
}
.handle:hover {
  stroke-width: 2px;
  cursor: move;
}